Bug 9189 - SMB2 Create doesn't return correct MAX ACCESS access mask in blob.
SMB2 Create doesn't return correct MAX ACCESS access mask in blob.
Status: RESOLVED FIXED
Product: Samba 3.6
Classification: Unclassified
Component: SMB2
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks: 8622
  Show dependency treegraph
 
Reported: 2012-09-20 19:09 UTC by Jeremy Allison
Modified: 2012-09-28 06:38 UTC (History)
2 users (show)

See Also:


Attachments
git-am fix for 4.0.0rc (2.63 KB, patch)
2012-09-24 23:07 UTC, Jeremy Allison
ira: review+
metze: review+
Details
git-am fix for 3.6.x (2.35 KB, patch)
2012-09-24 23:44 UTC, Jeremy Allison
ira: review+
metze: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jeremy Allison 2012-09-20 19:09:22 UTC
Tested against an OEM client. When returning the max-access blob on a file we only check for DELETE access in the ACL, we also need to check for DELETE_CHILD access in the containing directory.

Patch to follow (tested by Ira and the OEM vendor at the SNIA event).
Comment 1 Jeremy Allison 2012-09-20 19:26:07 UTC
Also needs patching for 4.0.0rc.next.
Comment 2 Jeremy Allison 2012-09-24 23:07:10 UTC
Created attachment 7933 [details]
git-am fix for 4.0.0rc

Patches for 3.6.x to follow.
Comment 3 Jeremy Allison 2012-09-24 23:44:08 UTC
Created attachment 7934 [details]
git-am fix for 3.6.x
Comment 4 Stefan Metzmacher 2012-09-25 18:03:45 UTC
Comment on attachment 7933 [details]
git-am fix for 4.0.0rc

Looks good to me
Comment 5 Stefan Metzmacher 2012-09-25 18:05:55 UTC
Comment on attachment 7934 [details]
git-am fix for 3.6.x

Does this pass 'make test'?
Comment 6 Stefan Metzmacher 2012-09-25 18:07:28 UTC
Karolin, please pick the 4.0.0 patch
Comment 7 Jeremy Allison 2012-09-25 18:18:09 UTC
(In reply to comment #5)
> Comment on attachment 7934 [details]
> git-am fix for 3.6.x
> 
> Does this pass 'make test'?

Hmmm. This is what Ira tested against the client, but I haven't run the 3.6.x "make test" though. I'll do that now and report back for the 3.6.x patch.

Jeremy.
Comment 8 Jeremy Allison 2012-09-25 19:02:26 UTC
FYI. It passes the small subset of smb2 tests we already have in 3.6.x. I'll also run the smb2 torture tests in master against the 3.6.x build to confirm.

Jeremy.
Comment 9 Jeremy Allison 2012-09-25 23:31:40 UTC
Tested using master smbtorture. It passes the smb2.create.gentest call which requests io.in.query_maximal_access, so yes I'd say the 3.6.x patch is good.

Jeremy.
Comment 10 Stefan Metzmacher 2012-09-26 00:52:10 UTC
Comment on attachment 7934 [details]
git-am fix for 3.6.x

Looks good.
Comment 11 Stefan Metzmacher 2012-09-26 00:52:56 UTC
Karolin, please pick for the releases
Comment 12 Karolin Seeger 2012-09-28 06:38:19 UTC
Pushed to autobuild-v4-0-test and v3-6-test.
Closing out bug report.

Thanks!